Bug 1297383 - Share Process Image / PDF doesn't work
Share Process Image / PDF doesn't work
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: DR2
: 6.3.0
Assigned To: Jeremy Lindop
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 06:13 EST by Jeremy Lindop
Modified: 2016-04-01 09:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ProcessImageData (29.18 KB, text/plain)
2016-01-11 06:13 EST, Jeremy Lindop
no flags Details
ProcessPDFData (9.18 KB, text/plain)
2016-01-11 06:13 EST, Jeremy Lindop
no flags Details

  None (edit)
Description Jeremy Lindop 2016-01-11 06:13:04 EST
Created attachment 1113592 [details]
ProcessImageData

Description of problem:
Share Process Image / Share Process PDF generates invalid html

Version-Release number of selected component (if applicable):
bpms 6.2.0.GA


Steps to Reproduce:
1. Open a BP
2. Run the button-bar menu options "Share Process Image" / "Share Process PDF" 
3. The popup dialog contains a very short html string, without the Image or PDF, e.g.
Share Process Image:
<img src="data:image/png;base64,[B@435f416b">

Share Process PDF:
<object data="data:application/pdf;base64,[B@3c4d6fb3" type="application/pdf"></object>


Actual results:
Invalid image / pdf in the html

Expected results:
Valid base63 image / pdf data should be in the html.
See attachments for examples. These can be placed in an html page to display the process image / pdf.

Additional info:
Comment 1 Jeremy Lindop 2016-01-11 06:13 EST
Created attachment 1113593 [details]
ProcessPDFData
Comment 3 Jeremy Lindop 2016-01-26 11:36:42 EST
Fixed
master: https://github.com/droolsjbpm/jbpm-designer/commit/4302587ec9f56e74f14b8da4eff103400cf532b9

This commit was made before the 6.4.x branch was created, and is therefore in the 6.4.x branch.
Comment 4 Kirill Gaevskii 2016-03-02 06:28:52 EST
Hi Jeremy,

Good job! But I have two marks:

1. I guess it will be better if we can add something like style="height:100%;width:100%" for pdf object. It is too small by default and needs some addition settings.

2. The second but more important: IE11 not support PDF objects. We have to create new Documentation issue to reflect this aspect, new issue about it or store PDF file on server side and include it with iFrame HTML tag. What do you think?
Comment 5 Jeremy Lindop 2016-03-21 13:07:17 EDT
1. The height and width have been added to the pdf object.

master: https://github.com/droolsjbpm/jbpm-designer/commit/3db10a970d28b2fab32dac7da314ac8203216d65

6.4.x: https://github.com/droolsjbpm/jbpm-designer/commit/48219691cb2ec3742fd0c915c75718fda799c3b6

2. I've created a new Documentation BZ https://bugzilla.redhat.com/show_bug.cgi?id=1319863
Given that this section of the docs is very brief, I've suggested that a brief note about IE11 be added.
Comment 6 Kirill Gaevskii 2016-04-01 09:57:12 EDT
Hi Jeremy,

thank you for your efforts, it is looks good now.

Note You need to log in before you can comment on or make changes to this bug.